Subject: Re: [bug#51737] [PATCH v3 1/8] gnu: Add linux-libre-waydroid.

From: phodina <[email-masked]>
Date: Tue, 13 Dec 2022 17:10:38 +0000

Hi Julien,

agreed, though rather than being non-free the issue is more of being opaque as we shouldn't trust what's inside.

There's documentation on how to build one based on Lineage OS. [1]

Do you think if LineageOS would build the Waydroid image as another device it would be acceptable for Guix to download the artifact directly? [2]

Also how's the bionic library going?

[1] https://docs.waydro.id/development/compile-waydroid-lineage-os-based-images[2] https://wiki.lineageos.org/devices/

----
Petr
------- Original Message -------
On Tuesday, November 1st, 2022 at 8:04 AM, Julien Lepiller <[email-masked]> wrote:

> That sounds good to me. We could have a default, though we must at least make sure we don't advertise for a non-free image.
>
> Concerning my own work, I'm currently trying to build some base system libraries. I managed to get a working cross-compiler for x86_64-linux-android, and I managed to cross-build a couple libraries. I'm hopeful I'll be able to build bionic (android's libc) by the end of the week, then a complete cross toolchain that will help build the rest of the system.
>
> Le 1 novembre 2022 07:51:17 GMT+01:00, Liliana Marie Prikler <[email-masked]> a écrit :
>
>> Am Montag, dem 31.10.2022 um 19:30 +0000 schrieb phodina:
>>
>>> Regarding the Waydroid (Android) image.
>>>
>>> We are currently unable to build the whole image due to the issues
>>>
>>> summarized by Julien Lepiller on the 10 Years of Guix. Thanks for the
>>>
>>> presentation! [1]
>>>
>>> However, there is project in Nix that allows to build the image. [2]
>>>
>>> Would it be possible to use that instead of the one hardcoded in
>>>
>>> Waydroid?
>>
>> IIUC you would have to translate the nix packages there into guix
>>
>> packages, assuming there's a 1:1 translation (which might not be the
>>
>> case since everything's just a derivation in Nix).  You also have to
>>
>> take into account different quality guidelines between Guix and Nix –
>>
>> Guix tends to be more stringent.
>>
>> Since it's possible to specify the URLs via command line, how about
>>
>> simply removing the defaults and making the respective command line
>>
>> options required for the time being?
>>
>> Cheers